/*
 * this is a nasty hack to get fps on all opengl programmes
 * you must put the full path of the compiled binary in the
 * in the LD_PRELOAD env variable
 * (export LD_PRELOAD="/path/to/the/binary.so")
 * 
 * Req : XFree / LD_PRELOAD compatible os (linux + ?)
 * tested with mesa
 * 
 * 
 * some code parts comme from : 
 * http://www.gametutorials.com/Tutorials/opengl/OpenGL_Pg1.htm
 * http://www.opengl.org/developers/code/features/fontsurvey/
 */


#ifndef _GLA_H_
#define _GLA_H_

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <dlfcn.h>
#include <sys/time.h>

#include <sys/types.h>
#include <sys/stat.h>

#include <X11/X.h>
#include <X11/Xlib.h>

#include <GL/gl.h>
#include <GL/glx.h>

#define RTLD_NEXT  ((void *) -1l)
#define FONT_NAME "fixed"

typedef struct
{
	char *name;
	void **cb;
} glFunc, *PglFunc;

typedef struct {
	int has_context;
	Window drawable;
	Display *dpy;
	int x;
	int y;
	long frametime;
} glwin;

glwin win;

extern int fog_on;
extern int snow_on;
extern int rain_on;
extern double ortho[6];


void gla_nothing(void);
int _init(void);
void print_string(char* s);
void set_filter(int index, int state);

void init_menu();
void run_menu(char key);

void set_defeffect_params(const char *var);

void cleanQueue(Display *display);

#endif
