#include <GL/gl.h>
#include <GL/glx.h>

#include "o_funcs.h" 


GLenum poly_mode=0;
static GLenum saved_poly_mode=GL_FILL;
static GLenum saved_poly_face=GL_FRONT_AND_BACK;

void set_polymode(GLenum mode) {
	if (mode) {
		poly_mode=mode;
		o_glPolygonMode(GL_FRONT_AND_BACK, poly_mode);
	} else {
		o_glPolygonMode(saved_poly_face, saved_poly_mode);
	}
}

void glPolygonMode(GLenum face, GLenum mode) {
	if (poly_mode==0) {
		o_glPolygonMode(face, mode);
	}
	saved_poly_face=face;
	saved_poly_mode=mode;
}

