#include <stdio.h>
#include <stdlib.h>
#include <time.h>

#include "gla.h"

int fps_on=1;
static int fps=0;
static int max_fps=0;
static time_t timeval;


void switch_fps() {
	fps_on=!fps_on;
	if (!fps_on) {
		fps=0;
		max_fps=0;
	}
}

void display_fps(int *var) {
	static char fps_string[5];
	static time_t newtime;

	fps++;
	if ((newtime=time(NULL))!=timeval) {
		max_fps=((long int) fps)/(newtime-timeval);
		fps=0;
		timeval=newtime;
	}

	if (max_fps) {
		sprintf(fps_string,"%4d",max_fps );
		print_string(fps_string);
	}
}

