#include <GL/gl.h>
#include <GL/glx.h>

#include "o_funcs.h" 

#define FILTER_FOG	0

int fog_on=0;
GLfloat fogColor[] = {0.5,0.5,0.6,1};   // fog color
GLfloat fog_density=0.9;
GLfloat fog_start=0;
GLfloat fog_end=10;

float *fog_density_func(float *density){
	if (density==NULL) return &fog_density;
	else return NULL;
}


float *fog_start_func(float *start){
	if (start==NULL) return &fog_start;
	else return NULL;
}

float *fog_end_func(float *end){
	if (end==NULL) return &fog_end;
	else return NULL;
}

void switch_fog() {
	fog_on=!fog_on;
	if (fog_on)
		o_glEnable (GL_FOG);
	else
		o_glDisable(GL_FOG);
	set_filter(FILTER_FOG, fog_on);
}

float *fog_color(GLfloat color[]) {
	if (color==NULL)
		return fogColor;
	else
		return NULL;
}

void display_fog(int *var) {
	glFogi (GL_FOG_MODE, GL_LINEAR);
	glFogfv (GL_FOG_COLOR, fogColor);
	glFogf (GL_FOG_DENSITY, fog_density);
	glFogi(GL_FOG_END, fog_end);
	glFogi(GL_FOG_START, fog_start);
	glHint (GL_FOG_HINT, GL_NICEST);
}

