#include <X11/X.h>
#include <X11/Xlib.h>

#include <GL/gl.h>
#include <GL/glx.h>

/* general functions */
Bool (*o_glXMakeCurrent) (Display *dpy, GLXDrawable drawable, GLXContext ctx);
//GLXContext (*o_glXCreateContext) (Display *dpy, XVisualInfo *vis, GLXContext shareList, Bool direct );
void (*o_glXSwapBuffers) (Display *dpy, GLXDrawable drawable);
void (*o_glLoadIdentity) ();
void (*o_glEnable)(GLenum cap);
void (*o_glDisable)(GLenum cap);
void (*o_glPolygonMode)(GLenum face, GLenum mode);
void (*o_glOrtho)(GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble near_val, GLdouble far_val);

void (*o_glVertex2d)( GLdouble x, GLdouble y );
void (*o_glVertex2f)( GLfloat x, GLfloat y );
void (*o_glVertex2i)( GLint x, GLint y );
void (*o_glVertex2s)( GLshort x, GLshort y );
void (*o_glVertex3d)( GLdouble x, GLdouble y, GLdouble z );
void (*o_glVertex3f)( GLfloat x, GLfloat y, GLfloat z );
void (*o_glVertex3i)( GLint x, GLint y, GLint z );
void (*o_glVertex3s)( GLshort x, GLshort y, GLshort z );
void (*o_glVertex4d)( GLdouble x, GLdouble y, GLdouble z, GLdouble w );
void (*o_glVertex4f)( GLfloat x, GLfloat y, GLfloat z, GLfloat w );
void (*o_glVertex4i)( GLint x, GLint y, GLint z, GLint w );
void (*o_glVertex4s)( GLshort x, GLshort y, GLshort z, GLshort w );
void (*o_glVertex2dv)( const GLdouble *v );
void (*o_glVertex2fv)( const GLfloat *v );
void (*o_glVertex2iv)( const GLint *v );
void (*o_glVertex2sv)( const GLshort *v );
void (*o_glVertex3dv)( const GLdouble *v );
void (*o_glVertex3fv)( const GLfloat *v );
void (*o_glVertex3iv)( const GLint *v );
void (*o_glVertex3sv)( const GLshort *v );
void (*o_glVertex4dv)( const GLdouble *v );
void (*o_glVertex4fv)( const GLfloat *v );
void (*o_glVertex4iv)( const GLint *v );
void (*o_glVertex4sv)( const GLshort *v );

/* input functions */
void (*o_XNextEvent) (Display *display, XEvent *event_return);
void (*o_XPeekEvent) (Display *display, XEvent *event_return);
void (*o_XWindowEvent) (Display *display, Window w, long event_mask, XEvent *event_return);
Bool (*o_XCheckWindowEvent)(Display *display, Window w, long event_mask, XEvent *event_return);
void (*o_XMaskEvent)(Display *display, long event_mask, XEvent *event_return);
Bool (*o_XCheckMaskEvent)(Display *display, long event_mask, XEvent *event_return);
Bool (*o_XCheckTypedEvent)(Display *display, int event_type, XEvent *event_return);
Bool (*o_XCheckTypedWindowEvent)(Display *display, Window w, int event_type, XEvent *event_return);

void (*o_XIfEvent)(Display *display, XEvent *event_return, Bool (*predicate)(), XPointer arg);
Bool (*o_XCheckIfEvent)(Display *display, XEvent *event_return,Bool (*predicate)() , XPointer arg);
void (*o_XPeekIfEvent)(Display *display, XEvent *event_return, Bool (*predicate)(), XPointer arg);

int (*o_XEventsQueued) (Display *display, int mode);
int (*o_XPending) (Display *display);



